Bug 131918 - FC3 release notes -- ext3 online resize
FC3 release notes -- ext3 online resize
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
:
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
 
Reported: 2004-09-06 15:00 EDT by Stephen Tweedie
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 12:14:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2004-09-06 15:00:13 EDT
In the "contains the following changes" section:

* Kernel and e2fsprogs support for online growing of ext3 filesystems

Package-Specific notes:

The "ext2online" utility has been added for online growing of existing
ext3 filesystems.  It does not grow the underlying block device
itself: for LVM devices, "lvresize" is appropriate for that.

Filesystems need to be "prepared" in order to be resized past a
certain point.  The preparation involves reserving a small amount of
space into which on-disk tables can grow.  mke2fs will reserve such
space automatically on new filesystems (sufficient to grow the
filesystem by a factor of 1000) unless you run it with "mke2fs -O
^resize_inode".  Future releases will allow reserving such space on
existing filesystems.
Comment 1 Ed Bailey 2004-09-06 15:07:31 EDT
Good information -- unfortunately it's too late to get into the the
release notes this time around -- I'll add it for the next iteration...
Comment 2 Ed Bailey 2004-09-27 17:04:10 EDT
Stephen -- How does the following look:

The ext2online utility has been added for online growing of existing
ext3 file systems.

Note

It is important to keep in mind that ext2online does not grow the
underlying block device itself — there must either be sufficient
unused space already present on the device, or the device itself must
support resizing by some method (such as the use of lvresize for LVM
volumes.)

In addition, file systems must be specially prepared in order to be
resized past a certain point. The preparation involves reserving a
small amount of space into which on-disk tables can grow. For
newly-created file systems, mke2fs reserves such space automatically;
the space reserved is sufficient to grow the file system by a factor
of 1000. The creation of this reserved space can be disabled by the
following command:

mke2fs -O ^resize_inode

Future releases of Fedora Core will allow the creation of this
reserved space on existing file systems.

(Ed again, with a couple questions:)

o Shall I assume your use of the word "grow" instead of "resize" was
intentional, implying that a file system cannot be shrunk?

o I expanded a bit on your caveat about ext2online not resizing the
underlying block device; is what I wrote there reasonable?

Thanks for your help with this!
Comment 3 Stephen Tweedie 2004-09-30 10:21:24 EDT
Looks good.

Point 1: yes, ext2online can only grow filesystems.

Point 2: Nearly.  The paragraph is slightly ambiguous, though: it
implies that the underlying device doesn't need to be big enough
already if it's on LVM.  Even if it is LVM, the requirement that there
is  "sufficient unused space already present on the device" still
holds.  I'd reword it as:

- there must be sufficient unused space already present on the device.
 The easiest way to ensure this is to use LVM volumes and to run
lvresize or lvextend to extend the device.
Comment 4 Ed Bailey 2004-09-30 12:14:48 EDT
Stephen -- thanks for the feedback!  I've used your reworded snippet
verbatim.  Closing...

Note You need to log in before you can comment on or make changes to this bug.